przystajnik

Masowa obróbka na nowo w Nomacs 3.4

Co powinno charakteryzować dobrą przeglądarkę grafiki? Oczywistą oczywistością jest oczywiście pokazywanie wybranych przez nas zdjęć i obrazów. Można powiedzieć, że to w sumie wszystko, czego można oczekiwać od takiego programu. Dlaczego zatem powstaje tyle wariacji na temat tak trywialnej czynności? Bo w większości pokazywanie zdjęć to jedynie dodatek do innych funkcji w jakie ambitni twórcy uzbrajają swoje dzieła. Tak jak np. Nomacs – mamy synchronizację obrazów pomiędzy różnymi komputerami, prostą edycję i ładnie zrealizowaną obróbkę wsadową. A teraz na dodatek ze zmodernizowanym interfejsem.

Nomacs 3.4 i obrazki

Nomacs 3.4 i obrazki

Nomacs jaki jest, każdy widzi. Okno główne, ikony, wyświetlony aktualny obraz, miniatury i parę innych przycisków. Nic skomplikowanego, ale schludnie poukładane i nieutrudniające nam życia. Jednak całość skryta jest w opcjach programów, gdzie odnajdziemy wspomniane współdzielenie zdjęć pomiędzy komputerami (w tej samej sieci LAN), parę różnych filtrów oraz wspomnianą obróbkę wsadową, której w tym wydaniu poświęcono najwięcej uwagi. W tym celu poprawiono interfejs w tej części programu i od teraz wszystko stało się jeszcze bardziej czytelne. Bo oddzielne okno nie tylko pozwala nam łatwo wybrać obrazy do kolejki (mini – menadżer zdjęć, z miniaturami tak dalej), ale posiada również logicznie poukładane poszczególne etapy i efekty które możemy nałożyć na obrabiane zdjęcia. Po lewej stronie odnajdziemy zmianę wymiarów, obrót lub obicie zdjęcia, filtry (wtyczki), format wyjściowy. Nowością są też profile, dzięki którym będziemy mogli stworzyć zestawy najczęściej wykorzystywanych ustawień, zapisać je – i wykorzystać ponownie (wczytać) we właściwym momencie.

Masowo i na raz

Masowo i na raz

Co jest również warte uwagi, to wtyczki (filtry). Chociaż póki co lista ta zieje pustkami, to zaprezentowany w poprzedniej wersji programu interfejs dla wtyczek powinien w niedalekiej przyszłości wzbogacić Nomacs o ciekawe dodatki. Na dzień dzisiejszy dostępnych jest kilka wtyczek, które możemy zainstalować bezpośrednio z repozytorium (jak poniżej).

  • nomacs-plugins-affinetransformation – przekształcenia i perspektywa,
  • nomacs-plugins-fakeminiatures – tilt shift effect – czyli efekt miniatury,
  • nomacs-plugins-paint – proste funkcje rysownicze,
  • nomacs-plugins-threshold – progowanie,
  • nomacs-plugins-pageextraction – wyciąganie zapisanego tekstu z obrazu.

Program w wersji dla Ubuntu 14.04/15.10/16.04, Minta 17.xx/18.xx zainstalujemy po dodaniu do systemu repozytorium:

sudo add-apt-repository ppa:nomacs/stable
sudo apt-get update
sudo apt-get install nomacs

Użytkownicy Manjaro i Arch Linuksa mogą skorzystać z głównego repozytorium:

sudo pacman -S nomacs 

Post navigation

6 comments for “Masowa obróbka na nowo w Nomacs 3.4

  1. pavbaranov
    22 lipca, 2016 at 21:42

    Niestety – proponowany sposób instalacji nomacs w Archu zainstaluje wersję 3.0. Dla wersji 3.4 proszę zrobić tak:
    yaourt -G nomacs
    cd nomacs
    podmienić PKGBUILD na następujący: http://pastebin.com/Jr4d8WVn
    wydać polecenie: makepkg -sirc
    Zamiast yaourt możemy użyć innego programu umożliwiającego ściągnięcie skryptów budujących aplikację, bądź skorzystać ze strony Archa z paczkami i stamtąd ściągnąć, a następnie rozpakować skrypt.

  2. trb
    22 lipca, 2016 at 22:29

    Co prawda w Debianie wciąż wersja 3.0, ale już teraz widzę, że w końcu znalazłem dobry zamiennik dla IrfanView na pingwinie – dzięki ! 🙂

  3. lolo
    23 lipca, 2016 at 8:47

    A ja mam pytanie z innej beczki.
    Czy ktoś z Was zna może jakiś dobry poradnik do odpalenia na ubuntu (w moim przypadku elementary os) emulatora retroarch, a dokładniej konsoli playstation. Wszystkie poradniki z jakich korzystałem w sieci powodują wysypanie się programu :

  4. kryspin013
    24 lipca, 2016 at 17:27

    A co konsola wypisuje po wywaleniu się retroarch?

  5. lolo
    28 lipca, 2016 at 15:29

    retroarch: relocation error: /home/lolo/.config/retroarch/cores/mednafen_psx_hw_libretro.so: symbol _ZdlPvm, version CXXABI_1.3.9 not defined in file libstdc++.so.6 with link time reference

  6. lolo
    28 lipca, 2016 at 15:55

    wygrzebałem w sieci i uruchomiłem 🙂
    jeśli ktoś miałby podobny problem to:
    sudo add-apt-repository ppa:ubuntu-toolchain-r/test
    sudo apt-get update
    sudo apt-get install g++-4.9

Dodaj komentarz

Twój adres email nie zostanie opublikowany. Pola, których wypełnienie jest wymagane, są oznaczone symbolem *

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Translate »